Loading...
Searching...
No Matches
Confirmation and error codes
Using libmp3splt

## Topics

| Initialisation of the main state
| Options

## Enumerations

enum

splt_code {
SPLT_OK = 0 , SPLT_OK_SPLIT = 1 , SPLT_SPLITPOINT_BIGGER_THAN_LENGTH = 4 , SPLT_SILENCE_OK = 5 ,
SPLT_TIME_SPLIT_OK = 6 , SPLT_NO_SILENCE_SPLITPOINTS_FOUND = 7 , SPLT_OK_SPLIT_EOF = 8 , SPLT_LENGTH_SPLIT_OK = 9 ,
SPLT_TRIM_SILENCE_OK = 10 , SPLT_FREEDB_OK = 100 , SPLT_FREEDB_FILE_OK = 101 , SPLT_CDDB_OK = 102 ,
SPLT_CUE_OK = 103 , SPLT_FREEDB_MAX_CD_REACHED = 104 , SPLT_AUDACITY_OK = 105 , SPLT_DEWRAP_OK = 200 ,
SPLT_SYNC_OK = 300 , SPLT_MIGHT_BE_VBR = 301 , SPLT_ERR_SYNC = -300 , SPLT_ERR_NO_SYNC_FOUND = -301 ,
SPLT_ERR_TOO_MANY_SYNC_ERR = -302 , SPLT_OUTPUT_FORMAT_OK = 400 , SPLT_OUTPUT_FORMAT_AMBIGUOUS = 401 , SPLT_REGEX_OK = 800 ,
SPLT_ERROR_SPLITPOINTS = -1 , SPLT_ERROR_CANNOT_OPEN_FILE = -2 , SPLT_ERROR_INVALID = -3 , SPLT_ERROR_EQUAL_SPLITPOINTS = -5 ,
SPLT_ERROR_SPLITPOINTS_NOT_IN_ORDER = -6 , SPLT_ERROR_NEGATIVE_SPLITPOINT = -7 , SPLT_ERROR_INCORRECT_PATH = -8 , SPLT_ERROR_INCOMPATIBLE_OPTIONS = -10 ,
SPLT_ERROR_INPUT_OUTPUT_SAME_FILE = -12 , SPLT_ERROR_CANNOT_ALLOCATE_MEMORY = -15 , SPLT_ERROR_CANNOT_OPEN_DEST_FILE = -16 , SPLT_ERROR_CANT_WRITE_TO_OUTPUT_FILE = -17 ,
SPLT_ERROR_WHILE_READING_FILE = -18 , SPLT_ERROR_SEEKING_FILE = -19 , SPLT_ERROR_BEGIN_OUT_OF_FILE = -20 , SPLT_ERROR_INEXISTENT_FILE = -21 ,
SPLT_SPLIT_CANCELLED = -22 , SPLT_ERROR_LIBRARY_LOCKED = -24 , SPLT_ERROR_STATE_NULL = -25 , SPLT_ERROR_NEGATIVE_TIME_SPLIT = -26 ,
SPLT_ERROR_CANNOT_CREATE_DIRECTORY = -27 , SPLT_ERROR_CANNOT_CLOSE_FILE = -28 , SPLT_ERROR_NO_PLUGIN_FOUND = -29 , SPLT_ERROR_CANNOT_INIT_LIBLTDL = -30 ,
SPLT_ERROR_CRC_FAILED = -31 , SPLT_ERROR_NO_PLUGIN_FOUND_FOR_FILE = -32 , SPLT_ERROR_PLUGIN_ERROR = -33 , SPLT_ERROR_TIME_SPLIT_VALUE_INVALID = -34 ,
SPLT_ERROR_LENGTH_SPLIT_VALUE_INVALID = -35 , SPLT_ERROR_CANNOT_GET_TOTAL_TIME = -36 , SPLT_ERROR_LIBID3 = -37 , SPLT_ERROR_FAILED_BITRESERVOIR = -38 ,
SPLT_FREEDB_ERROR_INITIALISE_SOCKET = -101 , SPLT_FREEDB_ERROR_CANNOT_GET_HOST = -102 , SPLT_FREEDB_ERROR_CANNOT_OPEN_SOCKET = -103 , SPLT_FREEDB_ERROR_CANNOT_CONNECT = -104 ,
SPLT_FREEDB_ERROR_CANNOT_SEND_MESSAGE = -105 , SPLT_FREEDB_ERROR_INVALID_SERVER_ANSWER = -106 , SPLT_FREEDB_ERROR_SITE_201 = -107 , SPLT_FREEDB_ERROR_SITE_200 = -108 ,
SPLT_FREEDB_ERROR_BAD_COMMUNICATION = -109 , SPLT_FREEDB_ERROR_GETTING_INFOS = -110 , SPLT_FREEDB_NO_CD_FOUND = -111 , SPLT_FREEDB_ERROR_CANNOT_RECV_MESSAGE = -112 ,
SPLT_INVALID_CUE_FILE = -115 , SPLT_INVALID_CDDB_FILE = -116 , SPLT_FREEDB_NO_SUCH_CD_IN_DATABASE = -118 , SPLT_FREEDB_ERROR_SITE = -119 ,
SPLT_FREEDB_ERROR_CANNOT_DISCONNECT = -120 , SPLT_FREEDB_ERROR_PROXY_NOT_SUPPORTED = -121 , SPLT_ERROR_INTERNAL_SHEET = -122 , SPLT_ERROR_INTERNAL_SHEET_TYPE_NOT_SUPPORTED = -123 ,
SPLT_DEWRAP_ERR_FILE_LENGTH = -200 , SPLT_DEWRAP_ERR_VERSION_OLD = -201 , SPLT_DEWRAP_ERR_NO_FILE_OR_BAD_INDEX = -202 , SPLT_DEWRAP_ERR_FILE_DAMAGED_INCOMPLETE = -203 ,
SPLT_DEWRAP_ERR_FILE_NOT_WRAPED_DAMAGED = -204 , SPLT_OUTPUT_FORMAT_ERROR = -400 , SPLT_ERROR_INEXISTENT_SPLITPOINT = -500 , SPLT_PLUGIN_ERROR_UNSUPPORTED_FEATURE = -600 ,
SPLT_INVALID_AUDACITY_FILE = -700 , SPLT_INVALID_REGEX = -800 , SPLT_REGEX_NO_MATCH = -801 , SPLT_REGEX_UNAVAILABLE = -802 ,
SPLT_ERROR_NO_AUTO_ADJUST_FOUND = -900 , SPLT_ERROR_INVALID_CODE = -1000
}

## Functions

char * | mp3splt_get_strerror (splt_state *state, splt_code error)

## Detailed Description

## Enumeration Type Documentation

## splt_code

enum splt_code

Confirmation and error codes.

See also
  mp3splt_get_strerror

Definition at line 107 of file mp3splt.h.

## Function Documentation

## mp3splt_get_strerror()

char * mp3splt_get_strerror | ( | splt_state * | state,
|  | splt_code | error )

Returns the error message of the `error`.

Please note that you have to call this function right after receiving the `error` because the returned error message can contain information that is replaced if other error occurs.

Parameters

  [in] | state | Main state.
  [in] | error | Possible error; can be NULL.

Returns
  Error message of the `error`. Result must be freed.